Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextBoundaryFinder.BoundaryType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QTextBoundaryFinder.BoundaryType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextBoundaryFinder

    public static final class QTextBoundaryFinder.BoundaryType

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTextBoundaryFinder.BoundaryType` | `Grapheme` Finds a grapheme which is the smallest boundary.
`static QTextBoundaryFinder.BoundaryType` | `Line` Finds possible positions for breaking the text into multiple lines.
`static QTextBoundaryFinder.BoundaryType` | `Sentence` Finds sentence boundaries.
`static QTextBoundaryFinder.BoundaryType` | `Word` Finds a word.

Method Summary
`static QTextBoundaryFinder.BoundaryType` | `resolve(int value)` Returns the QTextBoundaryFinder$BoundaryType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextBoundaryFinder.BoundaryType` | `valueOf(java.lang.String name)`
`static QTextBoundaryFinder.BoundaryType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Grapheme

    public static final QTextBoundaryFinder.BoundaryType Grapheme

  Finds a grapheme which is the smallest boundary. It including letters, punctation marks, numerals and more.

### Word

    public static final QTextBoundaryFinder.BoundaryType Word

  Finds a word.

### Line

    public static final QTextBoundaryFinder.BoundaryType Line

  Finds possible positions for breaking the text into multiple lines.

### Sentence

    public static final QTextBoundaryFinder.BoundaryType Sentence

  Finds sentence boundaries. These include periods, question marks etc.

Method Detail

### values

    public static QTextBoundaryFinder.BoundaryType[] values()

### valueOf

    public static QTextBoundaryFinder.BoundaryType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextBoundaryFinder.BoundaryType resolve(int value)

  Returns the QTextBoundaryFinder$BoundaryType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD